From 8d4558d5fd15959fc816e663e3599a980f3b64b8 Mon Sep 17 00:00:00 2001
From: Jeremy Huddleston Sequoia <jeremyhu@apple.com>
Date: Sat, 17 Jan 2015 16:43:00 -0800
Subject: [PATCH 06/11] MacPorts Only: Skip checking for python in configure

Signed-off-by: Jeremy Huddleston Sequoia <jeremyhu@apple.com>
---
 configure | 87 ---------------------------------------------------------------
 1 file changed, 87 deletions(-)

diff --git llvm_release_38/configure macports_release_38/configure
index c94fb134485..0d01ba14daa 100755
--- llvm_release_38/configure
+++ macports_release_38/configure
@@ -8483,93 +8483,6 @@ CXXFLAGS="$llvm_cv_old_cxxflags"
 echo "${ECHO_T}$NO_VARIADIC_MACROS $MISSING_FIELD_INITIALIZERS $COVERED_SWITCH_DEFAULT $NO_UNINITIALIZED $NO_MAYBE_UNINITIALIZED $NO_COMMENT" >&6; }
 
 
-# Check whether --with-python was given.
-if test "${with_python+set}" = set; then
-  withval=$with_python; PYTHON="$withval"
-fi
-
-
-if test -n "$PYTHON" && test -x "$PYTHON" ; then
-  { echo "$as_me:$LINENO: checking for python" >&5
-echo $ECHO_N "checking for python... $ECHO_C" >&6; }
-  { echo "$as_me:$LINENO: result: user defined: $with_python" >&5
-echo "${ECHO_T}user defined: $with_python" >&6; }
-else
-  if test -n "$PYTHON" ; then
-    { echo "$as_me:$LINENO: WARNING: specified python ($PYTHON) is not usable, searching path" >&5
-echo "$as_me: WARNING: specified python ($PYTHON) is not usable, searching path" >&2;}
-  fi
-
-  # Extract the first word of "python python2 python27", so it can be a program name with args.
-set dummy python python2 python27; ac_word=$2
-{ echo "$as_me:$LINENO: checking for $ac_word" >&5
-echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
-if test "${ac_cv_path_PYTHON+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  case $PYTHON in
-  [\\/]* | ?:[\\/]*)
-  ac_cv_path_PYTHON="$PYTHON" # Let the user override the test with a path.
-  ;;
-  *)
-  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
-for as_dir in $PATH
-do
-  IFS=$as_save_IFS
-  test -z "$as_dir" && as_dir=.
-  for ac_exec_ext in '' $ac_executable_extensions; do
-  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; }; then
-    ac_cv_path_PYTHON="$as_dir/$ac_word$ac_exec_ext"
-    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
-    break 2
-  fi
-done
-done
-IFS=$as_save_IFS
-
-  test -z "$ac_cv_path_PYTHON" && ac_cv_path_PYTHON="{ echo "$as_me:$LINENO: result: not found" >&5
-echo "${ECHO_T}not found" >&6; }
-                { { echo "$as_me:$LINENO: error: could not find python 2.7 or higher" >&5
-echo "$as_me: error: could not find python 2.7 or higher" >&2;}
-   { (exit 1); exit 1; }; }"
-  ;;
-esac
-fi
-PYTHON=$ac_cv_path_PYTHON
-if test -n "$PYTHON"; then
-  { echo "$as_me:$LINENO: result: $PYTHON" >&5
-echo "${ECHO_T}$PYTHON" >&6; }
-else
-  { echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6; }
-fi
-
-
-fi
-
-{ echo "$as_me:$LINENO: checking for python >= 2.7" >&5
-echo $ECHO_N "checking for python >= 2.7... $ECHO_C" >&6; }
-ac_python_version=`$PYTHON -V 2>&1 | cut -d' ' -f2`
-ac_python_version_major=`echo $ac_python_version | cut -d'.' -f1`
-ac_python_version_minor=`echo $ac_python_version | cut -d'.' -f2`
-ac_python_version_patch=`echo $ac_python_version | cut -d'.' -f3`
-if test "$ac_python_version_major" -gt "2" || \
-   (test "$ac_python_version_major" -eq "2" && \
-    test "$ac_python_version_minor" -ge "7") ; then
-  { echo "$as_me:$LINENO: result: $PYTHON ($ac_python_version)" >&5
-echo "${ECHO_T}$PYTHON ($ac_python_version)" >&6; }
-else
-  { echo "$as_me:$LINENO: result: not found" >&5
-echo "${ECHO_T}not found" >&6; }
-  { { echo "$as_me:$LINENO: error: found python $ac_python_version ($PYTHON); required >= 2.7
-See \`config.log' for more details." >&5
-echo "$as_me: error: found python $ac_python_version ($PYTHON); required >= 2.7
-See \`config.log' for more details." >&2;}
-   { (exit 1); exit 1; }; }
-fi
-
-
-
 { echo "$as_me:$LINENO: checking for sin in -lm" >&5
 echo $ECHO_N "checking for sin in -lm... $ECHO_C" >&6; }
 if test "${ac_cv_lib_m_sin+set}" = set; then
-- 
2.11.0

